import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'hello1234_platform_interface.dart';

/// An implementation of [Hello1234Platform] that uses method channels.
class MethodChannelHello1234 extends Hello1234Platform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('hello1234');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
