import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'hello1234_method_channel.dart';

abstract class Hello1234Platform extends PlatformInterface {
  /// Constructs a Hello1234Platform.
  Hello1234Platform() : super(token: _token);

  static final Object _token = Object();

  static Hello1234Platform _instance = MethodChannelHello1234();

  /// The default instance of [Hello1234Platform] to use.
  ///
  /// Defaults to [MethodChannelHello1234].
  static Hello1234Platform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [Hello1234Platform] when
  /// they register themselves.
  static set instance(Hello1234Platform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
