import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

class SmsReader45 extends StatefulWidget {
  @override
  _SmsReaderState createState() => _SmsReaderState();
}

class _SmsReaderState extends State<SmsReader45> {
  static const platform = MethodChannel('hello1234');
  List<String> _smsList = [];

  @override
  void initState() {
    super.initState();
    _getSms();
  }

  Future<void> _getSms() async {
    List<String> smsList = [];
    try {
      final List<dynamic> result =
          await platform.invokeMethod('getPlatformVersion');
      smsList = result.cast<String>();
    } on PlatformException catch (e) {
      print("Failed to get SMS: ${e.message}");
    }

    if (!mounted) return;

    setState(() {
      _smsList = smsList;
    });
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('SMS Reader'),
      ),
      body: ListView.builder(
        itemCount: _smsList.length,
        itemBuilder: (context, index) => ListTile(
          title: Text(_smsList[index]),
        ),
      ),
    );
  }
}
